Name: H5Aget_space
Signature:
  hid_t `H5Aget_space`(hid_t `attr_id`)
Purpose:
  Gets a copy of the dataspace for an attribute.
Description:
  `H5Aget_space` retrieves a copy of the dataspace for an attribute.

  The dataspace identifier returned from this function must be released with `H5Sclose` or resource leaks will develop.

Parameters:

hid_t `attr_id` | IN: Identifier of an attribute.

Returns:
  Returns attribute dataspace identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5aget_space_f

      SUBROUTINE h5aget_space_f(attr_id, space_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: attr_id   ! Attribute identifier
        INTEGER(HID_T), INTENT(OUT) :: space_id ! Attribute dataspace identifier
        INTEGER, INTENT(OUT) :: hdferr          ! Error code:
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5aget_space_f